ACPIEXEC(1)

NAME
acpiexec - ACPI AML execution and debug utility

SYNOPSIS
acpiexec [<option>...] <aml-file> ...

DESCRIPTION
This manual page briefly documents the acpiexec command. The option list is taken from the acpiexec interactive help.

acpiexec provides a simulated execution environment for AML code so that it can be more easily tested and debugged.

Much more detailed documentation may be found at http://www.acpica.org/documentation/.

OPTIONS

-?  Display the help message

-b command-line
    Batch mode command line execution (cmd1;cmd2;...)

-M [<method>]
    Batch mode method execution (Default: MAIN)

-da Disable method abort on error

-di Disable execution of _STA/_INI methods during init

-do Disable Operation Region address simulation

-dr Disable repair of method return values

-dt Disable allocation tracking (performance)

-ef Enable display of final memory statistics

-ei Enable additional tests for ACPICA interfaces

-em Enable interpreter Serialized mode

-es Enable interpreter Slack mode

-et Enable debug semaphore timeour

-f <value>
    Operation Region initialization fill value

-r  Use hardware-reduced FADT V5

-vi Verbose initialization output

-vr Verbose region handler output

-x <debug-level>
    Debug output level

AUTHOR
acpiexec was written by Robert Moore <robert.moore@intel.com>.

This manual page was written by Al Stone <ahs3@redhat.com> for the Fedora project (but may be used by others).